Slack on openSUSE Leap 42.2

Some time ago I ditched Debian based distros and switched to openSUSE. One of newer required software for it was Slack desktop client which on it’s linux download page does not have openSUSE package, but Fedora 64bit package works just fine. Only dependency you need is libXss1. Install that with zypper or YaST. Then download rpm for Fedora and install it. You will run in issue of missing dependency which you can ignore, Slack will work just fine.

Now, all above was just kind of copy/paste from flanaras blog post. I would not just copy/paste it if there was an issue with it. While Slack installs it’s repository into system for update checking, it does not import GPG key of it’s repository which breaks software updates. To fix that issue, simply import GPG key by opening terminal and typing:

Thanx to flanaras for his original post and hope this helped someone.